// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package storage

import (
	"context"

	"xbus.io/go-xbus/v4/api"
)

// PasswordStorage stores passwords in a safe manner
type PasswordStorage interface {
	Set(ctx context.Context, id api.UUID, password string)
	Reset(ctx context.Context, id api.UUID)
	Verify(ctx context.Context, id api.UUID, password string) bool
}
