// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

// Code generated by "enum-marshaler -type ProcessNodeStatus -prefix ProcessNode -lower -tests"; DO NOT EDIT
package storage

import "testing"

func TestProcessNodeStatus(t *testing.T) {
	for _, tt := range []struct {
		value ProcessNodeStatus
		name  string
		str   string
		marsh string
	}{
		{ProcessNodeStatusPending, "ProcessNodeStatusPending", "ProcessNodeStatusPending", "statuspending"},
		{ProcessNodeActive, "ProcessNodeActive", "ProcessNodeActive", "active"},
		{ProcessNodeDone, "ProcessNodeDone", "ProcessNodeDone", "done"},
		{ProcessNodeUnreachable, "ProcessNodeUnreachable", "ProcessNodeUnreachable", "unreachable"},
		{ProcessNodeError, "ProcessNodeError", "ProcessNodeError", "error"},
	} {
		if tt.value.String() != tt.str {
			t.Errorf("%s.String() failed. Expected '%s', got '%s'",
				tt.name, tt.str, tt.value.String())
		}
		b, err := tt.value.MarshalText()
		if err != nil {
			t.Errorf("%s.MarshalText() failed. Got err '%s'", tt.name, err)
		} else if string(b) != tt.marsh {
			t.Errorf("%s.MarshalText() failed. Expected '%s', got '%s'",
				tt.name, tt.marsh, string(b))
		}
		var value ProcessNodeStatus
		err = value.UnmarshalText([]byte(tt.marsh))
		if err != nil {
			t.Errorf("ProcessNodeStatus.UnmarshalText() failed. Got err '%s'", err)
		}
		if value != tt.value {
			t.Errorf("ProcessNodeStatus.UnmarshalText() failed. Expected '%s', got '%s'",
				tt.value, value)
		}
	}

	var value ProcessNodeStatus
	err := value.UnmarshalText([]byte("invalid value"))
	if err == nil {
		t.Errorf("ProcessNodeStatus.UnmarshalText() failed. Expected error, got nil")
	}

	value = ProcessNodeStatus(5)
	if value.String() != "ProcessNodeStatus(5)" {
		t.Errorf("ProcessNodeStatus.String() failed. Expected \"ProcessNodeStatus(5)\", got %s", value.String())
	}
}
