// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package model

import (
	"time"

	"xbus.io/go-xbus/v4/api"

	"xbus.io/xbus/uuid"
)

//go:generate yago --fmt

// LogEntry stores a api.LogEntry
// yago:autoattrs
type LogEntry struct {
	ID         int64         `yago:"auto_increment,primary_key"`
	EnvelopeID uuid.NullUUID `yago:"fk=Envelope,index"`
	ActorID    uuid.NullUUID `yago:"fk=Actor,index"`
	ProcessID  uuid.NullUUID `yago:"index=processid_level"`
	NodeID     string
	Time       time.Time
	Level      api.LogLevel `yago:"type=qb.Varchar(),index=processid_level"`
	Text       string       `yago:"type=qb.Text()"`
}
