// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package model

import (
	"github.com/orus-io/qb"
)

// RawSQL returns a RawSQLBuilder from a string and optionnaly bindings
func RawSQL(s string, bindings ...interface{}) RawSQLBuilder {
	return RawSQLBuilder{s, bindings}
}

// RawSQLBuilder implements qb.Builder
type RawSQLBuilder struct {
	s        string
	bindings []interface{}
}

// Build creates a statement
func (b RawSQLBuilder) Build(_ qb.Dialect) *qb.Stmt {
	s := qb.Statement()
	s.AddSQLClause(b.s)
	if len(b.bindings) != 0 {
		s.AddBinding(b.bindings...)
	}
	return s
}
