// Copyright (c) 2016-2024 CloudCrane. All rights reserved.
//
// This work is licensed under the MIT License.
// See the LICENSE file in the project root for more information.

package mocks

import (
	"testing"

	"xbus.io/xbus/storage"
	"xbus.io/xbus/testutils"
	storagetest "xbus.io/xbus/testutils/storage"
)

func factory(tb testing.TB) (storage.EnvelopeStorage, func()) {
	tb.Helper()
	return NewEnvelopeStorage(testutils.GetTestLogger(tb).Logger), func() {}
}

func TestEnvelopeStorage(t *testing.T) {
	storagetest.EnvelopeStorageTests(t, factory, storagetest.EnvelopeStorageTestsOptions{
		SupportUnordered:     true,
		SupportParallelStore: true,
	})
}

func BenchmarkEnvelopeStorage(b *testing.B) {
	storagetest.EnvelopeStorageBench(b, factory)
}
