package tools

import (
	"github.com/rs/zerolog"
)

// NATSLogger implements the nats logger interface on top of a zerolog.Logger
type NATSLogger struct {
	zerolog.Logger
}

// Noticef logs a 'Info' message
func (l NATSLogger) Noticef(format string, v ...interface{}) {
	l.Info().Msgf(format, v...)
}

// Fatalf logs a fatal error
func (l NATSLogger) Fatalf(format string, v ...interface{}) {
	l.Fatal().Msgf(format, v...)
}

// Errorf logs an error
func (l NATSLogger) Errorf(format string, v ...interface{}) {
	l.Error().Msgf(format, v...)
}

// Debugf logs a debug statement
func (l NATSLogger) Debugf(format string, v ...interface{}) {
	l.Debug().Msgf(format, v...)
}

// Tracef logs a trace statement
func (l NATSLogger) Tracef(format string, v ...interface{}) {
	l.Trace().Msgf(format, v...)
}

// Warnf issue a warning
func (l NATSLogger) Warnf(format string, v ...interface{}) {
	l.Warn().Msgf(format, v...)
}
